// 비밀번호 재설정 메일
$("#fPasswordEmail").validate({
    onkeyup: false,
    onclick: false,
    onfocusout: false,
    showErrors: function (errorMap, errorList) {
        if (this.numberOfInvalids() && errorList.length > 0) {
            alert(errorList[0].message);
            $(errorList[0].element).focus();
        }
    },
    rules: {
        email: {required: true, email: true}
    },
    messages: {
        email: {
            required: "이메일 주소를 입력해주세요.",
            email: "이메일 주소가 유효하지 않습니다."
        }
    }
});

// 비밀번호 변경 처리
$("#fPasswordReset").validate({
    onkeyup: false,
    onclick: false,
    onfocusout: false,
    showErrors: function (errorMap, errorList) {
        if (this.numberOfInvalids() && errorList.length > 0) {
            alert(errorList[0].message);
            $(errorList[0].element).focus();
        }
    },
    rules: {
        email: {required: true, email: true},
        password: {required: true, minlength: 8, is_password_able: true},
        password_confirmation: {required: true, equalTo: "#password"}
    },
    messages: {
        email: {
            required: "이메일 주소를 입력해주세요.",
            email: "이메일 주소가 유효하지 않습니다."
        },
        password: {
            required: "비밀번호를 입력해주세요.",
            minlength: "비밀번호는 최소 8자 이상입니다.",
            is_password_able: "비밀번호가 유효하지 않습니다."
        },
        password_confirmation: {
            required: "비밀번호를 재입력해주세요.",
            equalTo: '비밀번호가 서로 일치하지 않습니다.'
        }
    }
});
